import draw.*;
import colors.*;
import geometry.*;

class GraphWorld extends World{
  ILoCity cities;
  ILoCity path;
  
  GraphWorld(ILoCity cities, ILoCity path){
    this.cities = cities;
    this.path = path;
  }
  
  public World onTick(){
   return this;
  }
  
  public World onKeyEvent(String ke){
    if (ke.equals(" "))
      return new GraphWorld(this.cities, this.path.advance());
    else
      return this;
  }
  
  public boolean draw(){
    return this.cities.drawCities(this.theCanvas) &&
           this.path.drawNext(this.theCanvas);
  }
  
}